from django.contrib import admin
from django.contrib.gis.admin import OSMGeoAdmin

from .models import *

@admin.register(Marker)
class MarkerAdmin(OSMGeoAdmin):
  list_display = ["timestamp", "location", "alt", "hdop", "speed"]

@admin.register(Trip)
class TripAdmin(admin.ModelAdmin):
  list_display = ["startTime", "endTime", "name", "description"]

@admin.register(CensoredLocation)
class CensoredLocationAdmin(OSMGeoAdmin):
  list_display = ["name", "location", "radius"]
